# Set up prerequisites

## Obsidian

- Download Obsidian [here](https://obsidian.md/download).
- Besides the core Obsidian, we’ll also need to add the [Juggl](https://juggl.io/) plugin to support labeled edges:
    - Go to `Settings->Community plugins` and click `Turn on community plugins`
    - Click `Browse`.
    - Type `Juggl` and click `Install`.
    - Make sure Juggl is active by toggling it in `Settings->Community plugins->Installed plugins`

## Version Control (Git)

We’ll use Git for version control. If you already know how to use git, you can skip this section and directly clone the [repository](https://gitea.dgov.io/DGF/obsidian-dgraph). If not, the easiest way to go is to use the Github Desktop GUI client. 

1. Download Github Desktop [here](https://desktop.github.com/) and install it.
2. In Github Desktop, go to `File->Clone repository` , click the URL tab and input the repo URL
    
    ```
    https://gitea.dgov.io/DGF/obsidian-dgraph.git
    ```
    
3. To pull the most update version of the repo, click on “Fetch origin” and then “Pull origin” if there are new modifications.
4. To add changes you’ve made to the graph, select the files you wish to commit and press “commit to main”.
5. This is just a minimal overview of the basic git operations. For a more in depth look there are many great resources, for example https://think-like-a-git.net/

# Usage

- In Obsidian, click `Open another vault` and select the `dgraph` folder in the directory where you cloned the repository. On the left Files pane in Obsidian, you should now see the markdown pages comprising the knowledge graph.
- To view the graph view in Juggl, right click a page and select `Open Juggl`
- To add nodes to the graph, simply click the `New note` button above the list of pages on the left.
- To add an unlabeled edge to the graph, add to the source node a link to the target node using:
    
    ```
    [[target-page-name]]
    ```
    
    (see example [here](https://gitea.dgov.io/DGF/obsidian-dgraph/raw/branch/main/dgraph/Example%20Graph/%7BSRC%7D%20Example%20Source%201.md)) 
    
- To add a labeled edge, use the syntax:
    
    ```
    - edge_label [[target-page-name]]
    ```
    
    Where `edge_label` must be one word.
    
    (see example [here](https://gitea.dgov.io/DGF/obsidian-dgraph/raw/branch/main/dgraph/Example%20Graph/%7BEVD%7D%20Example%20Evidence%202.md)) 
    
- Nodes and edges should follow the [current graph grammar.](https://gitea.dgov.io/DGF/obsidian-dgraph/src/branch/main/dgraph/%7BP%7D%20Discourse%20Graph%20Grammar.md)